Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FoxitPDFSDKPython3.Markup Class Reference
Inheritance diagram for FoxitPDFSDKPython3.Markup:

## Public Member Functions
def | Markup ()
| Constructor.
def | AddReply ()
| Add a new reply to the end of reply list. More...
def | AddRichText (content, style)
| Add a new rich text string to the end. More...
def | AddStateAnnot (title, model, state)
| Add a new state annotation. More...
def | GetBorderOpacity ()
| Get the border opacity of the annotation. More...
def | GetCreationDateTime ()
| Get creation date time. More...
def | GetFillOpacity ()
| Get the fill opacity of the annotation. More...
def | GetGroupElements ()
| Get an element (as markup annotation) from the group that current markup annotation belongs to. More...
def | GetGroupHeader ()
| Get the header annotation (as primary annotation) of the group that current markup annotation belongs to. More...
def | GetIntent ()
| Get intent name. More...
def | GetOpacity ()
| Get opacity value. More...
def | GetPopup ()
| Get related pop-up annotation. More...
def | GetReply (index)
| Get a reply by index. More...
def | GetReplyCount ()
| Count all replies. More...
def | GetRichTextContent (index)
| Get text string of a rich text string specified by index. More...
def | GetRichTextCount ()
| Get the count of rich text strings. More...
def | GetRichTextStyle (index)
| Get style data of a rich text string specified by index. More...
def | GetStateAnnots (model)
| Get all state annotations in a specified state model. More...
def | GetSubject ()
| Get subject string. More...
def | GetTitle ()
| Get title string. More...
def | InsertRichText (index, content, style)
| Insert a new rich text string to the place which is specified by index. More...
def | IsGrouped ()
| Check whether current markup annotation is in a group or not. More...
def | RemoveAllReplies ()
| Remove all the replies. More...
def | RemoveAllStateAnnots ()
| Remove all the state annotations. More...
def | RemovePopup ()
| Remove related pop-up annotation. More...
def | RemoveReply (index)
| Remove a reply by index. More...
def | RemoveRichText (index)
| Remove a rich text string specified by index. More...
def | SetBorderOpacity (opacity)
| Set the border opacity of the annotation. More...
def | SetCreationDateTime (date_time)
| Set creation date time. More...
def | SetFillOpacity (opacity)
| Set the fill opacity of the annotation. More...
def | SetIntent (intent)
| Set intent name. More...
def | SetOpacity (opacity)
| Set opacity value. More...
def | SetPopup (popup)
| Set related pop-up annotation. More...
def | SetRichTextContent (index, content)
| Set text string of a rich text string specified by index. More...
def | SetRichTextStyle (index, style)
| Set style data of a rich text string specified by index. More...
def | SetSubject (subject)
| Set subject string. More...
def | SetTitle (title)
| Set title string. More...
def | Ungroup ()
| Ungroup current markup annotation from the group it belongs to. More...
Public Member Functions inherited from FoxitPDFSDKPython3.Annot
def | Annot ()
| Constructor.
def | Annot (annot)
| Constructor, with another annotation object. More...
def | GetAppearanceStream (type, appearance_state)
| Get annotation's appearance stream with specified type and state. More...
def | GetBorderColor ()
| Get border color. More...
def | GetBorderInfo ()
| Get border information. More...
def | GetContent ()
| Get content. More...
def | GetDeviceRect (matrix)
| Get annotation rectangle in device coordinate system. More...
def | GetDict ()
| Get annotation's dictionary object. More...
def | GetDisplayMatrix (page_display_matrix)
| Get the display matrix, from [PDF coordinate system] () to targeted device coordinate system. More...
def | GetFlags ()
| Get annotation flags. More...
def | GetIndex ()
| Get the index of current annotation in the page which current annotation belongs to. More...
def | GetModifiedDateTime ()
| Get last modified date time. More...
def | GetOptionalContent ()
| Get the PDF dictionary of annotation's optional content. More...
def | GetPage ()
| Get the related PDF page. More...
def | GetRect ()
| Get rectangle, in [PDF coordinate system] (). More...
def | GetType ()
| Get actual annotation type of current annotation. More...
def | GetUniqueID ()
| Get unique ID. More...
def | HasProperty (property)
| Whether current annotation has the specified annotation's property. More...
def | IsEmpty ()
| Check whether current object is empty or not. More...
def | IsMarkup ()
| Check if current annotation is a markup annotation. More...
def | Move (rect)
| Move current annotation to a new position, specified by a new rectangle in [PDF coordinate system] (). More...
def | Move (rect, is_reset_appearance)
| Move current annotation to a new position, specified by a new rectangle in [PDF coordinate system] (). More...
def | RemoveProperty (property)
| Remove a specified annotation's property. More...
def | ResetAppearanceStream ()
| Reset appearance stream. More...
def | SetBorderColor (color)
| Set border color. More...
def | SetBorderInfo (border)
| Set border information. More...
def | SetContent (content)
| Set content. More...
def | SetFlags (flags)
| Set annotation flags. More...
def | SetModifiedDateTime (date_time)
| Set last modified date time. More...
def | SetUniqueID (unique_id)
| Set unique ID. More...

## Static Public Attributes
| e_EndingStyleButt = _fsdk.Markup_e_EndingStyleButt
| A short line at the endpoint perpendicular to the line itself.
| e_EndingStyleCircle = _fsdk.Markup_e_EndingStyleCircle
| A circle filled with the annotation's interior color if any.
| e_EndingStyleClosedArrow = _fsdk.Markup_e_EndingStyleClosedArrow
| Two short lines meeting in an acute angle as in the OpenArrow style and connected by a third line to form a triangular closed arrowhead filled with the annotation's interior color if any.
| e_EndingStyleDiamond = _fsdk.Markup_e_EndingStyleDiamond
| A diamond shape filled with the annotation's interior color if any.
| e_EndingStyleNone = _fsdk.Markup_e_EndingStyleNone
| No special line ending.
| e_EndingStyleOpenArrow = _fsdk.Markup_e_EndingStyleOpenArrow
| Two short lines meeting in an acute angle to form an open arrowhead.
| e_EndingStyleRClosedArrow = _fsdk.Markup_e_EndingStyleRClosedArrow
| A triangular closed arrowhead in the reverse direction from ClosedArrow.
| e_EndingStyleROpenArrow = _fsdk.Markup_e_EndingStyleROpenArrow
| Two short lines in the reverse direction from OpenArrow.
| e_EndingStyleSlash = _fsdk.Markup_e_EndingStyleSlash
| A short line at the endpoint approximately 30 degrees clockwise from perpendicular to the line itself.
| e_EndingStyleSquare = _fsdk.Markup_e_EndingStyleSquare
| A square filled with the annotation's interior color if any.
| e_MeasureTypeA = _fsdk.Markup_e_MeasureTypeA
| Measurement of area.
| e_MeasureTypeD = _fsdk.Markup_e_MeasureTypeD
| Measurement of distance in any direction.
| e_MeasureTypeS = _fsdk.Markup_e_MeasureTypeS
| Measurement of the slope of a line.
| e_MeasureTypeT = _fsdk.Markup_e_MeasureTypeT
| Measurement of angles.
| e_MeasureTypeX = _fsdk.Markup_e_MeasureTypeX
| Measurement of change along the x axis.
| e_MeasureTypeY = _fsdk.Markup_e_MeasureTypeY
| Measurement of change along the y axis.
| e_StateAccepted = _fsdk.Markup_e_StateAccepted
| (Used with state model FoxitPDFSDKPython3.Markup.e_StateModelReview ) The user agrees with the change.
| e_StateCancelled = _fsdk.Markup_e_StateCancelled
| (Used with state model FoxitPDFSDKPython3.Markup.e_StateModelReview ) The change has been cancelled.
| e_StateCompleted = _fsdk.Markup_e_StateCompleted
| (Used with state model FoxitPDFSDKPython3.Markup.e_StateModelReview ) The change has been completed.
| e_StateDeferred = _fsdk.Markup_e_StateDeferred
| (Used with state model FoxitPDFSDKPython3.Markup.e_StateModelReview ) The change has been deferred.
| e_StateFuture = _fsdk.Markup_e_StateFuture
| (Used with state model FoxitPDFSDKPython3.Markup.e_StateModelReview ) The change will be working in the future.
| e_StateMarked = _fsdk.Markup_e_StateMarked
| (Used with state model FoxitPDFSDKPython3.Markup.e_StateModelMarked ) The annotation has been marked by the user.
| e_StateModelMarked = _fsdk.Markup_e_StateModelMarked
| Markup annotation state model: marked.
| e_StateModelReview = _fsdk.Markup_e_StateModelReview
| Markup annotation state model: review.
| e_StateNone = _fsdk.Markup_e_StateNone
| (Used with state model FoxitPDFSDKPython3.Markup.e_StateModelReview ) The user has indicated nothing about the change.
| e_StateRejected = _fsdk.Markup_e_StateRejected
| (Used with state model FoxitPDFSDKPython3.Markup.e_StateModelReview ) The user disagrees with the change.
| e_StateUnmarked = _fsdk.Markup_e_StateUnmarked
| (Used with state model FoxitPDFSDKPython3.Markup.e_StateModelMarked ) The annotation has not been marked by the user.
Static Public Attributes inherited from FoxitPDFSDKPython3.Annot
| e_3D = _fsdk.Annot_e_3D
| Annotation type: 3D annotation. One of standard annotation in <PDF reference 1.7>.
| e_AppearanceTypeDown = _fsdk.Annot_e_AppearanceTypeDown
| Annotation's down appearance.
| e_AppearanceTypeNormal = _fsdk.Annot_e_AppearanceTypeNormal
| Annotation's normal appearance.
| e_AppearanceTypeRollover = _fsdk.Annot_e_AppearanceTypeRollover
| Annotation's rollover appearance.
| e_Caret = _fsdk.Annot_e_Caret
| Annotation type: caret annotation. One of standard annotation in <PDF reference 1.7>.
| e_Circle = _fsdk.Annot_e_Circle
| Annotation type: circle annotation. One of standard annotation in <PDF reference 1.7>.
| e_FileAttachment = _fsdk.Annot_e_FileAttachment
| Annotation type: file attachment annotation. One of standard annotation in <PDF reference 1.7>.
| e_FlagHidden = _fsdk.Annot_e_FlagHidden
| Annotation flag: hidden. More...
| e_FlagInvisible = _fsdk.Annot_e_FlagInvisible
| Annotation flag: invisible. More...
| e_FlagLocked = _fsdk.Annot_e_FlagLocked
| Annotation flag: locked. More...
| e_FlagLockedContents = _fsdk.Annot_e_FlagLockedContents
| Annotation flag: locked contents. More...
| e_FlagNoRotate = _fsdk.Annot_e_FlagNoRotate
| Annotation flag: no rotate. More...
| e_FlagNoView = _fsdk.Annot_e_FlagNoView
| Annotation flag: no view. More...
| e_FlagNoZoom = _fsdk.Annot_e_FlagNoZoom
| Annotation flag: no zoom. More...
| e_FlagPrint = _fsdk.Annot_e_FlagPrint
| Annotation flag: print. More...
| e_FlagReadOnly = _fsdk.Annot_e_FlagReadOnly
| Annotation flag: read only. More...
| e_FlagToggleNoView = _fsdk.Annot_e_FlagToggleNoView
| Annotation flag: toggle no view. More...
| e_FreeText = _fsdk.Annot_e_FreeText
| Annotation type: free text annotation. One of standard annotation in <PDF reference 1.7>.
| e_Highlight = _fsdk.Annot_e_Highlight
| Annotation type: highlight annotation. One of standard annotation in <PDF reference 1.7>.
| e_HighlightingInvert = _fsdk.Annot_e_HighlightingInvert
| Highlighting mode: Invert, which is to invert the contents of the annotation rectangle.
| e_HighlightingNone = _fsdk.Annot_e_HighlightingNone
| Highlighting mode: No highlighting.
| e_HighlightingOutline = _fsdk.Annot_e_HighlightingOutline
| Highlighting mode: Outline, which is to invert the annotation's border.
| e_HighlightingPush = _fsdk.Annot_e_HighlightingPush
| Highlighting mode: Push, which is to display the annotation's down appearance, if any.
| e_HighlightingToggle = _fsdk.Annot_e_HighlightingToggle
| Highlighting mode: Toggle. This is only useful for widget annotation.
| e_Ink = _fsdk.Annot_e_Ink
| Annotation type: ink annotation. One of standard annotation in <PDF reference 1.7>.
| e_Line = _fsdk.Annot_e_Line
| Annotation type: line annotation. One of standard annotation in <PDF reference 1.7>.
| e_Link = _fsdk.Annot_e_Link
| Annotation type: link annotation. One of standard annotation in <PDF reference 1.7>.
| e_MKEntryBackgroundColor = _fsdk.Annot_e_MKEntryBackgroundColor
| Background color entry. "BG" in MK dictionary.
| e_MKEntryBorderColor = _fsdk.Annot_e_MKEntryBorderColor
| Border color entry. "BC" in MK dictionary.
| e_MKEntryDownCaption = _fsdk.Annot_e_MKEntryDownCaption
| Down caption (or alternate caption) entry. "AC" in MK dictionary. More...
| e_MKEntryDownIcon = _fsdk.Annot_e_MKEntryDownIcon
| Down icon (or alternate icon) entry. "IX" in MK dictionary. More...
| e_MKEntryIconCaptionRelation = _fsdk.Annot_e_MKEntryIconCaptionRelation
| Icon and caption relation entry. "TP" in MK dictionary. More...
| e_MKEntryIconFit = _fsdk.Annot_e_MKEntryIconFit
| Icon fit information entry. "IF" in MK dictionary. More...
| e_MKEntryNormalCaption = _fsdk.Annot_e_MKEntryNormalCaption
| Normal caption entry. "CA" in MK dictionary. More...
| e_MKEntryNormalIcon = _fsdk.Annot_e_MKEntryNormalIcon
| Normal icon entry. "I" in MK dictionary. More...
| e_MKEntryRolloverCaption = _fsdk.Annot_e_MKEntryRolloverCaption
| Rollover caption entry. "RC" in MK dictionary. More...
| e_MKEntryRolloverIcon = _fsdk.Annot_e_MKEntryRolloverIcon
| Rollover icon entry. "RI" in MK dictionary. More...
| e_MKEntryRotation = _fsdk.Annot_e_MKEntryRotation
| Rotation entry. "R" in MK dictionary.
| e_MKRelationCaptionAboveIcon = _fsdk.Annot_e_MKRelationCaptionAboveIcon
| Caption above the icon.
| e_MKRelationCaptionBelowIcon = _fsdk.Annot_e_MKRelationCaptionBelowIcon
| Caption below the icon.
| e_MKRelationCaptionLeft = _fsdk.Annot_e_MKRelationCaptionLeft
| Caption to the left of the icon.
| e_MKRelationCaptionOvrlayOnIcon = _fsdk.Annot_e_MKRelationCaptionOvrlayOnIcon
| Caption overlaid directly on the icon.
| e_MKRelationCaptionRight = _fsdk.Annot_e_MKRelationCaptionRight
| Caption to the right of the icon.
| e_MKRelationNoCaption = _fsdk.Annot_e_MKRelationNoCaption
| No caption; icon only.
| e_MKRelationNoIcon = _fsdk.Annot_e_MKRelationNoIcon
| No icon; captin only.
| e_Movie = _fsdk.Annot_e_Movie
| Annotation type: movie annotation. One of standard annotation in <PDF reference 1.7>.
| e_Note = _fsdk.Annot_e_Note
| Annotation type: note annotation, which is just "Text" annotation - one of standard annotation in <PDF reference 1.7>.
| e_PagingSeal = _fsdk.Annot_e_PagingSeal
| Annotation type: paging seal annotation. A Foxit PDF SDK custom annotation type (not a standard annotation type).
| e_Polygon = _fsdk.Annot_e_Polygon
| Annotation type: polygon annotation. One of standard annotation in <PDF reference 1.7>.
| e_PolyLine = _fsdk.Annot_e_PolyLine
| Annotation type: polyline annotation. One of standard annotation in <PDF reference 1.7>.
| e_Popup = _fsdk.Annot_e_Popup
| Annotation type: pop-up annotation. One of standard annotation in <PDF reference 1.7>.
| e_PrinterMark = _fsdk.Annot_e_PrinterMark
| Annotation type: printer's mark annotation. One of standard annotation in <PDF reference 1.7>.
| e_PropertyBorderColor = _fsdk.Annot_e_PropertyBorderColor
| Annotation property: border color. More...
| e_PropertyCreationDate = _fsdk.Annot_e_PropertyCreationDate
| Annotation property: creation date. More...
| e_PropertyFillColor = _fsdk.Annot_e_PropertyFillColor
| Annotation property: fill color. More...
| e_PropertyModifiedDate = _fsdk.Annot_e_PropertyModifiedDate
| Annotation property: modified date.
| e_PSInk = _fsdk.Annot_e_PSInk
| Annotation type: pressure sensitive ink annotation.
| e_Redact = _fsdk.Annot_e_Redact
| Annotation type: redact annotation.
| e_RichMedia = _fsdk.Annot_e_RichMedia
| Annotation type: rich media annotation.
| e_Screen = _fsdk.Annot_e_Screen
| Annotation type: screen annotation. One of standard annotation in <PDF reference 1.7>.
| e_Sound = _fsdk.Annot_e_Sound
| Annotation type: sound annotation. One of standard annotation in <PDF reference 1.7>.
| e_Square = _fsdk.Annot_e_Square
| Annotation type: square annotation. One of standard annotation in <PDF reference 1.7>.
| e_Squiggly = _fsdk.Annot_e_Squiggly
| Annotation type: squiggly annotation. One of standard annotation in <PDF reference 1.7>.
| e_Stamp = _fsdk.Annot_e_Stamp
| Annotation type: stamp annotation. One of standard annotation in <PDF reference 1.7>.
| e_StrikeOut = _fsdk.Annot_e_StrikeOut
| Annotation type: strikeout annotation. One of standard annotation in <PDF reference 1.7>.
| e_TrapNet = _fsdk.Annot_e_TrapNet
| Annotation type: trap network annotation. One of standard annotation in <PDF reference 1.7>.
| e_Underline = _fsdk.Annot_e_Underline
| Annotation type: underline annotation. One of standard annotation in <PDF reference 1.7>.
| e_UnknownType = _fsdk.Annot_e_UnknownType
| Annotation type: unknown.
| e_Watermark = _fsdk.Annot_e_Watermark
| Annotation type: watermark annotation. One of standard annotation in <PDF reference 1.7>.
| e_Widget = _fsdk.Annot_e_Widget
| Annotation type: widget annotation. One of standard annotation in <PDF reference 1.7>. More...

## Detailed Description

Markup annotations are used primarily to mark up PDF documents. These annotations have text that appears as part of the annotation and may be displayed in other ways by a viewer application, such as in a Comments pane.
Class FoxitPDFSDKPython3.Markup is derived from class Annot , and is also the base class for all PDF markup annotations. It offers the base functions to get/set markup annotation's common properties. For concrete markup annotation types, please refer to derived classes.
Function FoxitPDFSDKPython3.Annot.IsMarkup can be used to judge if an annotation is a markup annotation.

Note
  Currently, following kinds of functions only support note, highlight, underline, strikeout, squiggly, square, circle, free text, stamp, caret, ink, line, polygon, polyline, file attachment annotations:
  - All the "set" functions in class Markup .
  - Function FoxitPDFSDKPython3.Annot.ResetAppearanceStream (inherited from Markup 's parent class).

See also
  Annot

## Member Function Documentation

## ◆ AddReply()

def FoxitPDFSDKPython3.Markup.AddReply | ( |  | ) |

Add a new reply to the end of reply list.

Returns
  A new note annotation that represents the new reply annotation.

## ◆ AddRichText()

def FoxitPDFSDKPython3.Markup.AddRichText | ( |  | content,
|  |  | style
| ) |  |

Add a new rich text string to the end.

Markup annotation's content can consist of several rich text strings. Specially, if current annotation is a freetext and its intent is "FreeTextTypewriter", text aligment of input style will be set to all rich text strings of current freetext annotation.

Parameters

  [in] | content | Text string used as content of the new rich text string. This should not be an empty string.
  [in] | style | Style data used for the new rich text string.

Returns
  None.

## ◆ AddStateAnnot()

def FoxitPDFSDKPython3.Markup.AddStateAnnot | ( |  | title,
|  |  | model,
|  |  | state
| ) |  |

Add a new state annotation.

A markup annotation may have one or several author-specific state associated with it. Each state is not specified in the annotation itself but in a separate note annotation.

- For state model FoxitPDFSDKPython3.Markup.e_StateModelReview , this function will add a new state annotation once this function is called.
- For state model FoxitPDFSDKPython3.Markup.e_StateModelMarked , this function will find the latest state annotation with this model and the same title as input parameter title: if find one, this function will change state value of the found state annotation and return the found state annotation directly; if not find any suitable state annotation, this function will add a new one and return the new state annotation.

Parameters

  [in] | title | Title for the new state annotation. Title can be used to identify the user who added current annotation. This can be an empty string but users are strongly recommended to set a meaningful title when using this function.
  [in] | model | State model for the new state annotation. It should be one of following values: FoxitPDFSDKPython3.Markup.e_StateModelMarked FoxitPDFSDKPython3.Markup.e_StateModelReview
  [in] | state | State value for the new state annotation. It should be one of following values: If parameter model is FoxitPDFSDKPython3.Markup.e_StateModelMarked , the state should be FoxitPDFSDKPython3.Markup.e_StateMarked or FoxitPDFSDKPython3.Markup.e_StateUnmarked . If parameter model is FoxitPDFSDKPython3.Markup.e_StateModelReview , the state should be FoxitPDFSDKPython3.Markup.e_StateAccepted , FoxitPDFSDKPython3.Markup.e_StateRejected , FoxitPDFSDKPython3.Markup.e_StateCancelled , FoxitPDFSDKPython3.Markup.e_StateCompleted , FoxitPDFSDKPython3.Markup.e_StateDeferred , FoxitPDFSDKPython3.Markup.e_StateFuture , or FoxitPDFSDKPython3.Markup.e_StateNone .

Returns
  A note annotation which represents the new state annotation. Last modified date time of the returned state annotation would be set with current local system time by default.

## ◆ GetBorderOpacity()

def FoxitPDFSDKPython3.Markup.GetBorderOpacity | ( |  | ) |

Get the border opacity of the annotation.

Returns
  The opacity value. Valid range: 0.0 to 1.0. 0.0 means full transparency and 1.0 means full opaque.

## ◆ GetCreationDateTime()

def FoxitPDFSDKPython3.Markup.GetCreationDateTime | ( |  | ) |

Get creation date time.

Returns
  A date and time object that receives the creation date time. If there is no creation date time information, a date and time object with all 0 values would be returned.

## ◆ GetFillOpacity()

def FoxitPDFSDKPython3.Markup.GetFillOpacity | ( |  | ) |

Get the fill opacity of the annotation.

Returns
  The opacity value. Valid range: 0.0 to 1.0. 0.0 means full transparency and 1.0 means full opaque.

## ◆ GetGroupElements()

def FoxitPDFSDKPython3.Markup.GetGroupElements | ( |  | ) |

Get an element (as markup annotation) from the group that current markup annotation belongs to.

Markup annotations can be grouped. The group consists of a primary annotation and one or more subordinate annotations. Some entries in the primary annotation are treated as group attributes that should apply to the group as a whole; the corresponding entries in the subordinate annotations should be ignored. These entries are contents, last modification time, fill color/border color, title, pop-up annotation, creation time, subject, and open status. So user should respect the group property: when a property of an annotation in group is changed, the other annotations in the same group should be changed too.
Operations that manipulate any annotation in a group, such as movement, cut, and copy, should be treated by viewer applications as acting on the entire group.

Returns
  An array that contains all the markup annotations in the group. If current annotation does not belong to a group, this function will return an empty array.

## ◆ GetGroupHeader()

def FoxitPDFSDKPython3.Markup.GetGroupHeader | ( |  | ) |

Get the header annotation (as primary annotation) of the group that current markup annotation belongs to.

Markup annotations can be grouped. The group consists of a primary annotation and one or more subordinate annotations. Some entries in the primary annotation are treated as group attributes that should apply to the group as a whole; the corresponding entries in the subordinate annotations should be ignored. These entries are contents, last modification time, fill color/border color, title, pop-up annotation, creation time, subject, and open status. So user should respect the group property: when a property of an annotation in group is changed, the other annotations in the same group should be changed too.
Operations that manipulate any annotation in a group, such as movement, cut, and copy, should be treated by viewer applications as acting on the entire group.

Returns
  The header markup annotation of the group that current markup annotation belongs to. If the return value of function FoxitPDFSDKPython3.Annot.IsEmpty (inherited from Markup's parent class) for the returned markup annotation object is true, that means current annotation does not belong to a group.

## ◆ GetIntent()

def FoxitPDFSDKPython3.Markup.GetIntent | ( |  | ) |

Get intent name.

Following annotation types have predefined intent name:

- Free text annotation's predefined intent name: "FreeTextCallout", "FreeTextTypewriter". If no intent name is used, free text annotation would be shown as a text box.
- Line annotation's predefined intent name: "LineArrow", "LineDimension". If no intent name is used, line annotation would be shown as a common line.
- Polygon's predefined intent name: "PolygonCloud", "PolygonDimension". If no intent name is used, polygon annotation would be shown as a common polygon.
- Polyline annotation's predefined intent name: "PolyLineDimension". If no intent name is used, polyline annotation would be shown as a common polyline.

Returns
  The intent name string.

## ◆ GetOpacity()

def FoxitPDFSDKPython3.Markup.GetOpacity | ( |  | ) |

Get opacity value.

This property has effect on markup annotation's appearance.

Returns
  The opacity value. Valid range: 0.0 to 1.0. 0.0 means full transparency and 1.0 means full opaque.

## ◆ GetPopup()

def FoxitPDFSDKPython3.Markup.GetPopup | ( |  | ) |

Get related pop-up annotation.

Most markup annotations can have a pop-up annotation to show their content, except sound and free text annotations:

- For sound annotation, it does not have a pop-up annotation.
- For free text annotation, it shows text directly on the page, so no need to have a pop-up annotation.

Though, in some special(or error) PDF document, sound or free text annotation may have a pop-up annotation, they still do not need a pop-up annotation.

Returns
  The related pop-up annotation. If the return value of function FoxitPDFSDKPython3.Annot.IsEmpty (inherited from Popup 's parent class) for the returned pop-up annotation is true, that means current markup annotation does not have a pop-up annotation.

## ◆ GetReply()

def FoxitPDFSDKPython3.Markup.GetReply | ( |  | index | ) |

Get a reply by index.

Parameters

  [in] | index | The index for a specified reply. Valid range: from 0 to (count-1). count is returned by function FoxitPDFSDKPython3.Markup.GetReplyCount .

Returns
  A note annotation that represents the specified reply annotation.

## ◆ GetReplyCount()

def FoxitPDFSDKPython3.Markup.GetReplyCount | ( |  | ) |

Count all replies.

Returns
  The count of replies.

## ◆ GetRichTextContent()

def FoxitPDFSDKPython3.Markup.GetRichTextContent | ( |  | index | ) |

Get text string of a rich text string specified by index.

Markup annotation's content can consist of several rich text strings.

Parameters

  [in] | index | Index for a rich text string whose content is to be retrieved. Valid range: from 0 to (count-1). count is returned by function FoxitPDFSDKPython3.Markup.GetRichTextCount .

Returns
  Text string for the specified rich text.

## ◆ GetRichTextCount()

def FoxitPDFSDKPython3.Markup.GetRichTextCount | ( |  | ) |

Get the count of rich text strings.

Markup annotation's content can consist of several rich text strings.

Returns
  Count of rich text strings.

## ◆ GetRichTextStyle()

def FoxitPDFSDKPython3.Markup.GetRichTextStyle | ( |  | index | ) |

Get style data of a rich text string specified by index.

Markup annotation's content can consist of several rich text strings.

Parameters

  [in] | index | Index for a rich text string whose style data is to be retrieved. Valid range: from 0 to (count-1). count is returned by function FoxitPDFSDKPython3.Markup.GetRichTextCount .

Returns
  Style data for the specified rich text string.

## ◆ GetStateAnnots()

def FoxitPDFSDKPython3.Markup.GetStateAnnots | ( |  | model | ) |

Get all state annotations in a specified state model.

A markup annotation may have one or several author-specific state associated with it. Each state is not specified in the annotation itself but in a separate note annotation.

Parameters

  [in] | model | State model. It should be one of following values: FoxitPDFSDKPython3.Markup.e_StateModelMarked FoxitPDFSDKPython3.Markup.e_StateModelReview

Returns
  A note annotation array which represents all state annotations in the specified state model. All the annotations in this array would be in a chronological order.

## ◆ GetSubject()

def FoxitPDFSDKPython3.Markup.GetSubject | ( |  | ) |

Get subject string.

Returns
  Subject string.

## ◆ GetTitle()

def FoxitPDFSDKPython3.Markup.GetTitle | ( |  | ) |

Get title string.

By convention, annotation's title can be used to identify the user who added current annotation.

Returns
  Title string.

## ◆ InsertRichText()

def FoxitPDFSDKPython3.Markup.InsertRichText | ( |  | index,
|  |  | content,
|  |  | style
| ) |  |

Insert a new rich text string to the place which is specified by index.

Markup annotation's content can consist of several rich text strings. Specially, if current annotation is a freetext and its intent is "FreeTextTypewriter", text aligment of input style will be set to all rich text strings of current freetext annotation.

Parameters

  [in] | index | Index for a rich text string whose style data is to be inserted at. Valid range: from 0 to count. count is returned by function FoxitPDFSDKPython3.Markup.GetRichTextCount . If input value is equal to rich text string count, that means to add the new rich text string to the end. In this case, this funcion equals to function FoxitPDFSDKPython3.Markup.AddRichText .
  [in] | content | Text string used as content of the new rich text string. This should not be an empty string.
  [in] | style | Style data used for the new rich text string.

Returns
  None.

## ◆ IsGrouped()

def FoxitPDFSDKPython3.Markup.IsGrouped | ( |  | ) |

Check whether current markup annotation is in a group or not.

Markup annotations can be grouped. The group consists of a primary annotation and one or more subordinate annotations. Some entries in the primary annotation are treated as group attributes that should apply to the group as a whole; the corresponding entries in the subordinate annotations should be ignored. These entries are contents, last modification time, fill color/border color, title, pop-up annotation, creation time, subject, and open status. So user should respect the group property: when a property of an annotation in group is changed, the other annotations in the same group should be changed too.
Operations that manipulate any annotation in a group, such as movement, cut, and copy, should be treated by viewer applications as acting on the entire group.

Returns
  true means current markup annotation is in a group. false means current markup annotation does not belong to any group.

## ◆ RemoveAllReplies()

def FoxitPDFSDKPython3.Markup.RemoveAllReplies | ( |  | ) |

Remove all the replies.

Returns
  true means success, while false means failure.

## ◆ RemoveAllStateAnnots()

def FoxitPDFSDKPython3.Markup.RemoveAllStateAnnots | ( |  | ) |

Remove all the state annotations.

State annotation is represented by note annotation, so, to remove state annotations means to remove this kind of note annotations (with their popup annotations if any) from the page.

Returns
  true means remove all the state annotations successfully or current annotation does not have any state annotation, while false means failure.

## ◆ RemovePopup()

def FoxitPDFSDKPython3.Markup.RemovePopup | ( |  | ) |

Remove related pop-up annotation.

Returns
  true means that related pop-up annotation is removed successfully, while false means current markup annotation does not have a related pop-up annotation.

## ◆ RemoveReply()

def FoxitPDFSDKPython3.Markup.RemoveReply | ( |  | index | ) |

Remove a reply by index.

If specified reply has its own replies, these sub replies will be removed at the same time.

Parameters

  [in] | index | The index for a specified reply to be removed. Valid range: from 0 to (count-1). count is returned by function FoxitPDFSDKPython3.Markup.GetReplyCount .

Returns
  true means success, while false means failure.

## ◆ RemoveRichText()

def FoxitPDFSDKPython3.Markup.RemoveRichText | ( |  | index | ) |

Remove a rich text string specified by index.

Markup annotation's content can consist of several rich text strings.

Parameters

  [in] | index | Index for a rich text string whose style data is to be inserted at. Valid range: from 0 to (count-1). count is returned by function FoxitPDFSDKPython3.Markup.GetRichTextCount .

Returns
  None.

## ◆ SetBorderOpacity()

def FoxitPDFSDKPython3.Markup.SetBorderOpacity | ( |  | opacity | ) |

Set the border opacity of the annotation.

This property has effect on markup annotation's appearance. If user wants the new opacity value has effect on annotation's appearance, please call function FoxitPDFSDKPython3.Annot.ResetAppearanceStream after setting the new opacity value.

Parameters

  [in] | opacity | The new opacity value. Valid range: 0.0 to 1.0 . 0.0 means full transparency and 1.0 means full opaque.

Returns
  None.

## ◆ SetCreationDateTime()

def FoxitPDFSDKPython3.Markup.SetCreationDateTime | ( |  | date_time | ) |

Set creation date time.

Parameters

  [in] | date_time | The new date time to be set.

Returns
  None.

## ◆ SetFillOpacity()

def FoxitPDFSDKPython3.Markup.SetFillOpacity | ( |  | opacity | ) |

Set the fill opacity of the annotation.

This property has effect on markup annotation's appearance. If user wants the new opacity value has effect on annotation's appearance, please call function FoxitPDFSDKPython3.Annot.ResetAppearanceStream after setting the new opacity value.

Parameters

  [in] | opacity | The new opacity value. Valid range: 0.0 to 1.0 . 0.0 means full transparency and 1.0 means full opaque.

Returns
  None.

## ◆ SetIntent()

def FoxitPDFSDKPython3.Markup.SetIntent | ( |  | intent | ) |

Set intent name.

Following annotation types have predefined intent name:

- Free text annotation's predefined intent name: "FreeTextCallout", "FreeTextTypewriter". If no intent name is used, free text annotation would be shown as a text box. If the intent name is FreeTextTypewriter, the border color will be removed.
- Line annotation's predefined intent name: "LineArrow", "LineDimension". If no intent name is used, line annotation would be shown as a common line.
  If a line annotation's intent is to be set to "LineArrow", the line annotation's line ending styles will be FoxitPDFSDKPython3.Markup.e_EndingStyleNone for start point and FoxitPDFSDKPython3.Markup.e_EndingStyleOpenArrow for end point by default.
- Polygon's predefined intent name: "PolygonCloud", "PolygonDimension". If no intent name is used, polygon annotation would be shown as a common polygon.
  If a polygon annotation's intent is to be set to "PolygonCloud", the polygon annotation's border style will be changed to FoxitPDFSDKPython3.BorderInfo.e_Cloudy and border cloud intensity will be set to 2 by default.
- Polyline annotation's predefined intent name: "PolyLineDimension". If no intent name is used, polyline annotation would be shown as a common polyline.

If supported predefined intent name has been set to corresponding type of annotation, user should call function FoxitPDFSDKPython3.Annot.ResetAppearanceStream to make the effect on annotation's appearance.

Parameters

  [in] | intent | New intent name string to be set. If it is an empty string, that means the intent property will not be used. Some annotation type have predefined intent name, please refer to "Details" part for more details. If this string is one of those unsupported intent name, this string will be ignored when set to corresponding annotations.

Returns
  None.

## ◆ SetOpacity()

def FoxitPDFSDKPython3.Markup.SetOpacity | ( |  | opacity | ) |

Set opacity value.

This property has effect on markup annotation's appearance. If user wants the new opacity value has effect on annotation's appearance, please call function FoxitPDFSDKPython3.Annot.ResetAppearanceStream after setting the new opacity value.

Parameters

  [in] | opacity | The new opacity value. Valid range: 0.0 to 1.0 . 0.0 means full transparency and 1.0 means full opaque.

Returns
  None.

## ◆ SetPopup()

def FoxitPDFSDKPython3.Markup.SetPopup | ( |  | popup | ) |

Set related pop-up annotation.

Most markup annotations can have a pop-up annotation to show their content, except sound and free text annotations:

- For sound annotation, it does not have a pop-up annotation.
- For free text annotation, it shows text directly on the page, so no need to have a pop-up annotation.

So, this function does not allow to set pop-up annotation to sound and free text annotation.

Parameters

  [in] | popup | A valid pop-up annotation to be set to current markup annotation.

Returns
  None.

## ◆ SetRichTextContent()

def FoxitPDFSDKPython3.Markup.SetRichTextContent | ( |  | index,
|  |  | content
| ) |  |

Set text string of a rich text string specified by index.

Markup annotation's content can consist of several rich text strings.

Parameters

  [in] | index | Index for a rich text string whose content is to be set. Valid range: from 0 to (count-1). count is returned by function FoxitPDFSDKPython3.Markup.GetRichTextCount .
  [in] | content | Text string to be set as content for specified rich text. This should not be an empty string.

Returns
  None.

## ◆ SetRichTextStyle()

def FoxitPDFSDKPython3.Markup.SetRichTextStyle | ( |  | index,
|  |  | style
| ) |  |

Set style data of a rich text string specified by index.

Markup annotation's content can consist of several rich text strings.
Specially, if current annotation is a freetext and its intent is "FreeTextTypewriter", text aligment of input style will be set to all rich text strings of current freetext annotation.

Parameters

  [in] | index | Index for a rich text string whose style data is to be retrieved. Valid range: from 0 to (count-1). count is returned by function FoxitPDFSDKPython3.Markup.GetRichTextCount .
  [in] | style | Style data used to be set to specified rich text.

Returns
  None.

## ◆ SetSubject()

def FoxitPDFSDKPython3.Markup.SetSubject | ( |  | subject | ) |

Set subject string.

Parameters

  [in] | subject | New subject string to be set.

Returns
  None.

## ◆ SetTitle()

def FoxitPDFSDKPython3.Markup.SetTitle | ( |  | title | ) |

Set title string.

By convention, annotation's title can be used to identify the user who added current annotation.

Parameters

  [in] | title | New title string to be set.

Returns
  None.

## ◆ Ungroup()

def FoxitPDFSDKPython3.Markup.Ungroup | ( |  | ) |

Ungroup current markup annotation from the group it belongs to.

- If current markup annotation is just the group header, this function will disband the whole group.
- If current markup annotation is just a member of a group, this function will only ungroup current markup annotation from the group it belongs to.
- If current markup annotation does not belong to any group, this function will do nothing and return false directly.

Returns
  true means success, while false means current markup annotation does not belong to any group.